<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

Simple TextField for using/setting Password, especially for MS Edge to get rid of the default eye icon that appers only in MS Edge when we use textfield 



```dart
Container(
      padding: const EdgeInsets.symmetric(horizontal: 20),
      height: 55.0,
      alignment: Alignment.center,
      decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(30.0),
          border: Border.all(color: Colors.grey)),
      child: Stack(
        alignment: Alignment.centerRight,
        children: [
          TextField(
            obscureText: isHidden,
            style: TextStyle(fontWeight: FontWeight.w600),
            decoration: InputDecoration(
              hintText: widget.hint ?? '',
              hintStyle: TextStyle(
                fontSize: 15,
                color: Colors.grey.withOpacity(0.8),
              ),
              icon: Icon(Icons.lock),
              border: InputBorder.none,
            ),
            onChanged: widget.onChanged,
          ),
          InkWell(
            child: widget.isHidden
                ? Image.asset(
                    'assets/show.png',
                    color: Colors.black,
                    width: 24,
                    height: 24,
                  )
                : Image.asset(
                    'assets/hide.png',
                    color: Colors.black,
                    width: 24,
                    height: 24,
                  ),
            onTap: () {
              setState(() {
                if (widget.isHidden == false) {
                  isHidden = true;
                } else {
                  isHidden = false;
                }
              });
            },
          ),
        ],
      ),
    );
```

 
