import 'package:flutter/material.dart';

class PasswordTextField extends StatefulWidget {
  const PasswordTextField({
    required this.isHidden,
    this.onChanged,
    this.hint,
  });
  final bool isHidden;
  final ValueChanged<String>? onChanged;
  final String? hint;
  @override
  _PasswordTextFieldState createState() => _PasswordTextFieldState();
}

class _PasswordTextFieldState extends State<PasswordTextField> {
  bool isHidden = true;
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(horizontal: 20),
      height: 55.0,
      alignment: Alignment.center,
      decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(30.0),
          border: Border.all(color: Colors.grey)),
      child: Stack(
        alignment: Alignment.centerRight,
        children: [
          TextField(
            obscureText: isHidden,
            style: TextStyle(fontWeight: FontWeight.w600),
            decoration: InputDecoration(
              hintText: widget.hint ?? '',
              hintStyle: TextStyle(
                fontSize: 15,
                color: Colors.grey.withOpacity(0.8),
              ),
              icon: Icon(Icons.lock),
              border: InputBorder.none,
            ),
            onChanged: widget.onChanged,
          ),
          InkWell(
            child: widget.isHidden
                ? Image.asset(
                    'assets/show.png',
                    color: Colors.black,
                    width: 24,
                    height: 24,
                  )
                : Image.asset(
                    'assets/hide.png',
                    color: Colors.black,
                    width: 24,
                    height: 24,
                  ),
            onTap: () {
              setState(() {
                if (widget.isHidden == false) {
                  isHidden = true;
                } else {
                  isHidden = false;
                }
              });
            },
          ),
        ],
      ),
    );
  }
}
